'use strict';

let evens = {
  * [Symbol.iterator]() {
    let current = -2;
    
    while(true) {
        current += 2;
        yield current;
    }
  }
};

for(let i of evens) {
  if(i > 10)
    break;
  
  console.log(i);
}

//OR

let evens2 = function*() {
  let current = -2;
  
  while(true) {
      current += 2;
      yield current;
  }  
}

for(let i of evens2()) {
  if(i > 10)
    break;
  
  console.log(i);
}

